1

This question already has an answer here:

after updating qgis to 2.18.13 version (and GRASS from 7.2.1 to 7.2.2) via OSGeo4W advanced setup on win10 (and via repository on linux mint 18.1) the qgis-grass-plugin7 has disappeared from the list of available plugins.

This is the processing->options->programs:enter image description here

How can i fix this problem?

marked as duplicate by AndreJ, alphabetasoup, HDunn, neogeomat, Kersten Oct 12 '17 at 7:44

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • Try to downgrade GRASS to 7.2.1 in the OSGEO4W advanced setup. Maybe related: issues.qgis.org/issues/17202 – AndreJ Sep 26 '17 at 17:11
  • Thanks, Your advice has solved the problem well on windows 10. Unfortunately I have not been able to downgrade it on Linux with synaptic because there is no version 7.2.1 available. – Andrew-63 Sep 27 '17 at 14:31
  • GRASS 7.2.1 is available on the ubuntugis stable ppa, but that requires GDAL 2.1.3, while QGIS expects GDAL 2.2.1. So no chance to get it running before QGIS 2.18.14 is released. You might switch to the QGIS debian repo (with a full remove, purge etc), but that returns you to GDAL 1.11.3 and GRASS 7.0.3 – AndreJ Sep 27 '17 at 17:19
  • Thank you again for clarifying this point of the problem. I think I'll wait for the next point release of qgis. – Andrew-63 Oct 2 '17 at 8:51
  • Should be fixed with QGIS 2.18.14 within the next weeks. As a general rule, don't upgrade GRASS until the next QGIS point release has been released. – AndreJ Oct 11 '17 at 6:03

Browse other questions tagged or ask your own question.